Ionize Docs
ReferenceAPIsOry Identities APIfrontend

Submit a FedCM token

Use this endpoint to submit a token from a FedCM provider through

POST /self-service/fed-cm/token

Use this endpoint to submit a token from a FedCM provider through navigator.credentials.get and log the user in. The parameters from navigator.credentials.get must have come from GET self-service/fed-cm/parameters.

Operation ID: updateFedcmFlow    Tag: frontend

Request body

Content-Type: application/json

Type: object

Schema: UpdateFedcmFlowBody — see the Ory Identities API schemas reference for the full type.

Content-Type: application/x-www-form-urlencoded

Type: object

Schema: UpdateFedcmFlowBody — see the Ory Identities API schemas reference for the full type.

Responses

StatusDescriptionBody
200successfulNativeLoginapplication/json — object
303Empty responses are sent when, for example, resources are deleted. The HTTP status code for empty responses is typically 204.
400loginFlowapplication/json — object
410errorGenericapplication/json — object
422errorBrowserLocationChangeRequiredapplication/json — object
defaulterrorGenericapplication/json — object

Generated from scripts/gen/specs/kratos-api.json at build time.

On this page